//
//  MobeleaderConnexion.h
//  MobeleaderUtils
//
//  Created by Mobeleader on 20/1/17.
//  Copyright © 2017 Beleader Internet Marketing S.L. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@protocol MobeleaderConnexionDelgate <NSObject>
@optional
- (void)downloadFinished:(NSString *)connexionValue;
@end

@interface MobeleaderConnexion : NSObject <NSURLSessionDelegate>

@property (nonatomic, retain) NSString *connexionUrl;
@property (nonatomic, retain) NSString *hashKey;
@property (nonatomic, retain) NSMutableDictionary *receivedData;
@property (nonatomic, retain) NSMutableDictionary *activeConnexions;
@property (nonatomic, retain) NSString *connexionValue;
@property(assign, nonatomic, readwrite) BOOL encryption;
@property (retain) id delegate;

-(void) sendConnexion: (NSString *)parameters;
-(void) cancel;


@end
